Name:           VulkanSceneGraph

%define         releasecandidate 3
%define         upstream_base_version 1.0.0
%define         upstream_version %{upstream_base_version}-rc%{releasecandidate}

Version:        %{upstream_base_version}~rc%{releasecandidate}
Release:        0.1%{?dist}
Summary:        Vulkan Scene Graph

# Apache-2.0:
# include/vsg/vk/vulkan.h
# BSD-3-clause:
# src/vsg/utils/ResourceLimits.cpp
# src/vsg/utils/ResourceLimits.h
License:        MIT AND Apache-2.0 AND BSD-3-clause 
URL:            http://vulkanscenegraph.org/
Source0:        https://github.com/vsg-dev/%{name}/archive/refs/tags/%{name}-%{upstream_version}.tar.gz

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  glslang-devel
BuildRequires:  make
BuildRequires:  vulkan-headers
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(xcb)

#Requires:       

%description
VulkanSceneGraph (VSG), is a modern, cross platform, high performance scene
graph library built upon Vulkan graphics/compute API. The software is written
in C++17, and follows the CppCoreGuidelines and FOSS Best Practices. 
The source code is published under the MIT License.


%package devel
Summary:        Development files for VulkanSceneGraph
Requires:       VulkanSceneGraph-libs%{?_isa} = %{version}-%{release}

%description devel
Development files for VulkanSceneGraph.


%package libs
Summary:        VulkanSceneGraph libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description libs
VulkanSceneGraph libraries.


%prep
%autosetup -n %{name}-%{name}-%{upstream_version}


%build
%cmake 
%cmake_build


%install
%cmake_install


%files
%license LICENSE.md
%doc README.md


%files devel
%{_includedir}/vsg
%{_libdir}/cmake/vsg/*.cmake
%{_libdir}/libvsg.so


%files libs
%{_libdir}/libvsg.so.*


%changelog
* Fri Nov 11 2022 François Cami <fcami@fedoraproject.org> - 1.0.0~rc3-0.1
- Initial package
